Opened 4 years ago

Closed 4 years ago

Last modified 2 years ago

#133 closed enhancement (fixed)

Add h-index to citesummary

Reported by: jblayloc Owned by: jblayloc
Priority: minor Milestone:
Component: WebStyle Version:
Keywords: INSPIRE NEWS Cc:

Description

moved from https://savannah.cern.ch/task/?14896

2010-04-08 22:18, original submission:

add a format similar to:

http://www.slac.stanford.edu/spires...

I.e. including h-index for the search set and self citation exclusion and rotating the cites_to/cites_from space by 45 degrees.

This format should be available from the author summary pages, but also for any given search.

2010-04-09 08:40, comment #1:

The self-cite analysis do exist to some extent, but necessitates
citation bibrank to run with -A option, which is disabled on INSPIRE.

2010-06-07 04:01, comment #2:

h-index code is submitted for review

Change History (10)

comment:1 Changed 4 years ago by jblayloc

  • Status changed from new to in_merge

If other citesummary additions or modifications are actionable, they should be separately ticketed. This is ready for integration.

comment:2 Changed 4 years ago by jblayloc

Oops. Available on my Invenio branch 'citesummary2' where the head is 8ed6557.

comment:3 Changed 4 years ago by jblayloc

  • Status changed from in_merge to assigned

comment:4 Changed 4 years ago by jblayloc

This is updated to take into account Tibor's criticisms. The code is ready to use and in my Invenio branch 'citesummary2b', commit #b803e195c.

I won't move this to in_merge until I've corrected my inspire repository to match, though.

comment:5 Changed 4 years ago by jblayloc

  • Status changed from assigned to in_merge

This is now ready in my inspire repository, too, on branch citesummary2b, commit # 77538bb.

When this is merged, I'll delete both the citesummary2b and citesummary2 sets of branches.

comment:6 Changed 4 years ago by jblayloc

This has been reintegrated on top of today's master in both my inspire and my invenio repository. The old branches have been deleted; the new branches are both called 'trac-133'.

comment:7 Changed 4 years ago by jblayloc

Also available as 133-Websearch_add_h-index_to_cite_summary_page

comment:8 Changed 4 years ago by simko

Thanks, I fixed some formatting and language issues, put metrics in
plural as we spoke about it IRL, and fixed help links to behave the
same, because one was opening new browser window, one was not. (Both
now behave in the same way, not opening the new window, since
people can mid-click if they want to; see also point 9 in
http://www.useit.com/alertbox/9605.html)

comment:9 Changed 4 years ago by Joe Blaylock <jrbl@…>

  • Resolution set to fixed
  • Status changed from in_merge to closed

In [c3801e68015615187efb683126e24ae5528c9c1e]:

WebSearch: add h-index to citation summary page

  • Calculate h-index as part of cite summary statistics (fixes #133)
  • Display result, linking '?' label to help material

comment:10 Changed 2 years ago by simko

  • Milestone v1.0 deleted

Milestone v1.0 deleted

Note: See TracTickets for help on using tickets.